--Falling Balls V1.0
--By Sam McGarry (diddykong13)
--Thanks to MoePercent for the ball images!
--Feel free to use snippets of code from here in your own work ;)

--Screen and Button details
swidth=screen.width()
sheight=screen.height()
btnwidth=120;
btnheight=50;

-- Load sounds
	splat = wav.load("Splat1.wav");

--Load Images
--white images
WhitemanStanding=image.load("white/PlayerStanding.png");
WhitemanDead=image.load("white/PlayerDead.png");
WhitemanRight1=image.load("white/PlayerRight_1.png");
WhitemanRight2=image.load("white/PlayerRight_2.png");
WhitemanRight3=image.load("white/PlayerRight_3.png");
WhitemanLeft1=image.load("white/PlayerLeft_1.png");
WhitemanLeft2=image.load("white/PlayerLeft_2.png");
WhitemanLeft3=image.load("white/PlayerLeft_3.png");
Whiteball1Img=image.load("white/Ball1.png");
Whiteball2Img=image.load("white/Ball2.png");
Whiteball3Img=image.load("white/Ball3.png");
WhiteBtn=image.load("white/BtnBack.png");
WhiteplayBtn=image.load("white/playBtn.png");

--orange images
OrangemanStanding=image.load("orange/PlayerStanding.png");
OrangemanDead=image.load("orange/PlayerDead.png");
OrangemanRight1=image.load("orange/PlayerRight_1.png");
OrangemanRight2=image.load("orange/PlayerRight_2.png");
OrangemanRight3=image.load("orange/PlayerRight_3.png");
OrangemanLeft1=image.load("orange/PlayerLeft_1.png");
OrangemanLeft2=image.load("orange/PlayerLeft_2.png");
OrangemanLeft3=image.load("orange/PlayerLeft_3.png");
Orangeball1Img=image.load("orange/Ball1.png");
Orangeball2Img=image.load("orange/Ball2.png");
Orangeball3Img=image.load("orange/Ball3.png");
OrangeBtn=image.load("orange/BtnBack.png");
OrangeplayBtn=image.load("orange/playBtn.png");

--red images
RedmanStanding=image.load("red/PlayerStanding.png");
RedmanDead=image.load("red/PlayerDead.png");
RedmanRight1=image.load("red/PlayerRight_1.png");
RedmanRight2=image.load("red/PlayerRight_2.png");
RedmanRight3=image.load("red/PlayerRight_3.png");
RedmanLeft1=image.load("red/PlayerLeft_1.png");
RedmanLeft2=image.load("red/PlayerLeft_2.png");
RedmanLeft3=image.load("red/PlayerLeft_3.png");
Redball1Img=image.load("red/Ball1.png");
Redball2Img=image.load("red/Ball2.png");
Redball3Img=image.load("red/Ball3.png");
RedBtn=image.load("red/BtnBack.png");
RedplayBtn=image.load("red/playBtn.png");

--yellow images
YellowmanStanding=image.load("yellow/PlayerStanding.png");
YellowmanDead=image.load("yellow/PlayerDead.png");
YellowmanRight1=image.load("yellow/PlayerRight_1.png");
YellowmanRight2=image.load("yellow/PlayerRight_2.png");
YellowmanRight3=image.load("yellow/PlayerRight_3.png");
YellowmanLeft1=image.load("yellow/PlayerLeft_1.png");
YellowmanLeft2=image.load("yellow/PlayerLeft_2.png");
YellowmanLeft3=image.load("yellow/PlayerLeft_3.png");
Yellowball1Img=image.load("yellow/Ball1.png");
Yellowball2Img=image.load("yellow/Ball2.png");
Yellowball3Img=image.load("yellow/Ball3.png");
YellowBtn=image.load("yellow/BtnBack.png");
YellowplayBtn=image.load("yellow/playBtn.png");

--black images
BlackmanStanding=image.load("black/PlayerStanding.png");
BlackmanDead=image.load("black/PlayerDead.png");
BlackmanRight1=image.load("black/PlayerRight_1.png");
BlackmanRight2=image.load("black/PlayerRight_2.png");
BlackmanRight3=image.load("black/PlayerRight_3.png");
BlackmanLeft1=image.load("black/PlayerLeft_1.png");
BlackmanLeft2=image.load("black/PlayerLeft_2.png");
BlackmanLeft3=image.load("black/PlayerLeft_3.png");
Blackball1Img=image.load("black/Ball1.png");
Blackball2Img=image.load("black/Ball2.png");
Blackball3Img=image.load("black/Ball3.png");
BlackBtn=image.load("black/BtnBack.png");
BlackplayBtn=image.load("black/playBtn.png");

--setting images
manStanding=WhitemanStanding;
manDead=WhitemanDead;
manRight1=WhitemanRight1;
manRight2=WhitemanRight2;
manRight3=WhitemanRight3;
manLeft1=WhitemanLeft1;
manLeft2=WhitemanLeft2;
manLeft3=WhitemanLeft3;
ball1Img=Whiteball1Img;
ball2Img=Whiteball2Img;
ball3Img=Whiteball3Img;
Btn=WhiteBtn;
playBtn=WhiteplayBtn;

--sets animation image
CurrentPlayerImg = manStanding;

--Main Variables
playerX = 188;
playerY = 205;
playerWidth = 22;
playerHeight = 32;
playerXVel = 0;
lastLPF_x_dir=0
factor = 0.6;
Timer = 0;
playing = false;
score = 0;
highscore = 0;
paused = false;

--Balls Images
	ball1 = ball1Img;
	ball2 = ball1Img;
	ball3 = ball1Img;
	ball4 = ball1Img;
	ball5 = ball1Img;
	ball6 = ball1Img;

--Balls Variables
	ball1X = 0;
	ball1Y = -70;
	ball1Width = 32;
	ball1Height = 32;
	ball2X = 0;
	ball2Y = -110;
	ball2Width = 32;
	ball2Height = 32;
	ball3X = 0;
	ball3Y = -150;
	ball3Width = 32;
	ball3Height = 32;
	ball4X = 0;
	ball4Y = -190;
	ball4Width = 32;
	ball4Height = 32;
	ball5X = 0;
	ball5Y = -230;
	ball5Width = 32;
	ball5Height = 32;
	ball6X = 0;
	ball6Y = -280;
	ball6Width = 32;
	ball6Height = 32;

--Random Setup
t = os.date('*t')
math.randomseed(os.time(t));
math.random(1);

--coloursetup
black=color.new(0,0,0)
white=color.new(255,255,255)
pink=color.new(255,120,231)
blue=color.new(0,129,249)
orange=color.new(255,126,0)
green=color.new(10,146,0)
red=color.new(199,0,0)
purple=color.new(122,0,199)
yellow=color.new(241,238,0)
backcolor = black;
frontcolor = white;
colourSelect=1;

--Load files
dofile("save.lua")

--Highscores Loading
function Highscore()
if hsscore == nil then
	    hsscore = 0
	end
	io.open("save.lua","r")
	highscore = hsscore;
	colourSelect = hscolor;
	print(colourSelect);
	screen.update()
	io.close() 
end

--Highscores Saving
function saveHighscore()
	save = io.open("save.lua","w+")
		save:write(" hsscore = "..highscore.." hscolor = "..colourSelect)
		io.close()
end

--Draw menu screen/game begin screen
function drawGameStart()
	screen.fillrect(0,0,swidth,sheight,backcolor);
	screen.fillrect(0,237,400,5,frontcolor);
	CurrentPlayerImg:draw(playerX,playerY);
	screen.fillrect(10,60,30,30,white);
	screen.fillrect(10,100,30,30,black);
	screen.fillrect(10,140,30,30,pink);
	screen.fillrect(360,60,30,30,green);
	screen.fillrect(360,100,30,30,blue);
	screen.fillrect(360,140,30,30,purple);
	Btn:draw(140,90);
	text.size(15)
	text.color(frontcolor);
	text.draw(10,5,"Score:");
	text.draw(60,5,score);
	text.draw(280,5,"HighScore:");
	text.draw(65,160,"<- click to change colour scheme ->");
	text.draw(360,5,highscore);
	text.size(40)
	text.draw(157,93,"Start");
	screen.update();
end;

--Draw main game
function drawScreen()
	screen.fillrect(0,0,swidth,sheight,backcolor);
	screen.fillrect(0,237,400,5,frontcolor);
	screen.fillrect(370,108,8,25,frontcolor);
	screen.fillrect(382,108,8,25,frontcolor);
	CurrentPlayerImg:draw(playerX,playerY);
	ball1:draw(ball1X,ball1Y);
	ball2:draw(ball2X,ball2Y);
	ball3:draw(ball3X,ball3Y);
	ball4:draw(ball4X,ball4Y);
	ball5:draw(ball5X,ball5Y);
	ball5:draw(ball6X,ball6Y);
	text.size(15)
	text.color(frontcolor);
	text.draw(10,5,"Score:");
	text.draw(60,5,score);
	text.draw(280,5,"HighScore:");
	text.draw(360,5,highscore);
	screen.update();
end;

--Draw paused
function PausedrawScreen()
	screen.fillrect(0,0,swidth,sheight,backcolor);
	screen.fillrect(0,237,400,5,frontcolor);
	playBtn:draw(370,108);
	CurrentPlayerImg:draw(playerX,playerY);
	ball1:draw(ball1X,ball1Y);
	ball2:draw(ball2X,ball2Y);
	ball3:draw(ball3X,ball3Y);
	ball4:draw(ball4X,ball4Y);
	ball5:draw(ball5X,ball5Y);
	ball5:draw(ball6X,ball6Y);
	text.size(15)
	text.color(frontcolor);
	text.draw(10,5,"Score:");
	text.draw(60,5,score);
	text.draw(280,5,"HighScore:");
	text.draw(360,5,highscore);
	screen.update();
end;

--Start Button touch test
function BtnHitTest()
	if touch_x >= 140 and touch_x <= (140 + btnwidth) and touch_y >= 90 and touch_y <= (90 + btnheight) then
		playing = true;
	end;
end;

function setColour()
	if colourSelect==1 then
		backcolor = black;
		frontcolor = white;
		manStanding=WhitemanStanding;
		manDead=WhitemanDead;
		manRight1=WhitemanRight1;
		manRight2=WhitemanRight2;
		manRight3=WhitemanRight3;
		manLeft1=WhitemanLeft1;
		manLeft2=WhitemanLeft2;
		manLeft3=WhitemanLeft3;
		ball1Img=Whiteball1Img;
		ball2Img=Whiteball2Img;
		ball3Img=Whiteball3Img;
		Btn=WhiteBtn;
		playBtn=WhiteplayBtn;
		CurrentPlayerImg = manStanding;
	end
	if colourSelect==2 then
		backcolor = white;
		frontcolor = black;
		manStanding=BlackmanStanding;
		manDead=BlackmanDead;
		manRight1=BlackmanRight1;
		manRight2=BlackmanRight2;
		manRight3=BlackmanRight3;
		manLeft1=BlackmanLeft1;
		manLeft2=BlackmanLeft2;
		manLeft3=BlackmanLeft3;
		ball1Img=Blackball1Img;
		ball2Img=Blackball2Img;
		ball3Img=Blackball3Img;
		Btn=BlackBtn;
		playBtn=BlackplayBtn;
		CurrentPlayerImg = manStanding;
	end
	if colourSelect==3 then
		backcolor = pink;
		frontcolor = white;
		manStanding=WhitemanStanding;
		manDead=WhitemanDead;
		manRight1=WhitemanRight1;
		manRight2=WhitemanRight2;
		manRight3=WhitemanRight3;
		manLeft1=WhitemanLeft1;
		manLeft2=WhitemanLeft2;
		manLeft3=WhitemanLeft3;
		ball1Img=Whiteball1Img;
		ball2Img=Whiteball2Img;
		ball3Img=Whiteball3Img;
		Btn=WhiteBtn;
		playBtn=WhiteplayBtn;
		CurrentPlayerImg = manStanding;
	end
	if colourSelect==4 then
		backcolor = green;
		frontcolor = red;
		manStanding=RedmanStanding;
		manDead=RedmanDead;
		manRight1=RedmanRight1;
		manRight2=RedmanRight2;
		manRight3=RedmanRight3;
		manLeft1=RedmanLeft1;
		manLeft2=RedmanLeft2;
		manLeft3=RedmanLeft3;
		ball1Img=Redball1Img;
		ball2Img=Redball2Img;
		ball3Img=Redball3Img;
		Btn=RedBtn;
		playBtn=RedplayBtn;
		CurrentPlayerImg = manStanding;
	end
	if colourSelect==5 then
		backcolor = blue;
		frontcolor = orange;
		manStanding=OrangemanStanding;
		manDead=OrangemanDead;
		manRight1=OrangemanRight1;
		manRight2=OrangemanRight2;
		manRight3=OrangemanRight3;
		manLeft1=OrangemanLeft1;
		manLeft2=OrangemanLeft2;
		manLeft3=OrangemanLeft3;
		ball1Img=Orangeball1Img;
		ball2Img=Orangeball2Img;
		ball3Img=Orangeball3Img;
		Btn=OrangeBtn;
		playBtn=OrangeplayBtn;
		CurrentPlayerImg = manStanding;
	end
	if colourSelect==6 then
		backcolor = purple;
		frontcolor = yellow;
		manStanding=YellowmanStanding;
		manDead=YellowmanDead;
		manRight1=YellowmanRight1;
		manRight2=YellowmanRight2;
		manRight3=YellowmanRight3;
		manLeft1=YellowmanLeft1;
		manLeft2=YellowmanLeft2;
		manLeft3=YellowmanLeft3;
		ball1Img=Yellowball1Img;
		ball2Img=Yellowball2Img;
		ball3Img=Yellowball3Img;
		Btn=YellowBtn;
		playBtn=YellowplayBtn;
		CurrentPlayerImg = manStanding;
	end
end
		

--Colours touch test
function ColorHitTest()
	if touch_x >= 10 and touch_x <= 40 and touch_y >= 60 and touch_y <= 90 then
		backcolor = white;
		frontcolor = black;
		manStanding=BlackmanStanding;
		manDead=BlackmanDead;
		manRight1=BlackmanRight1;
		manRight2=BlackmanRight2;
		manRight3=BlackmanRight3;
		manLeft1=BlackmanLeft1;
		manLeft2=BlackmanLeft2;
		manLeft3=BlackmanLeft3;
		ball1Img=Blackball1Img;
		ball2Img=Blackball2Img;
		ball3Img=Blackball3Img;
		Btn=BlackBtn;
		playBtn=BlackplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 2;
		print(colourSelect);
	end;
		if touch_x >= 10 and touch_x <= 40 and touch_y >= 100 and touch_y <= 130 then
		backcolor = black;
		frontcolor = white;
		manStanding=WhitemanStanding;
		manDead=WhitemanDead;
		manRight1=WhitemanRight1;
		manRight2=WhitemanRight2;
		manRight3=WhitemanRight3;
		manLeft1=WhitemanLeft1;
		manLeft2=WhitemanLeft2;
		manLeft3=WhitemanLeft3;
		ball1Img=Whiteball1Img;
		ball2Img=Whiteball2Img;
		ball3Img=Whiteball3Img;
		Btn=WhiteBtn;
		playBtn=WhiteplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 1;
		print(colourSelect);
	end;
		if touch_x >= 10 and touch_x <= 40 and touch_y >= 140 and touch_y <= 170 then
		backcolor = pink;
		frontcolor = white;
		manStanding=WhitemanStanding;
		manDead=WhitemanDead;
		manRight1=WhitemanRight1;
		manRight2=WhitemanRight2;
		manRight3=WhitemanRight3;
		manLeft1=WhitemanLeft1;
		manLeft2=WhitemanLeft2;
		manLeft3=WhitemanLeft3;
		ball1Img=Whiteball1Img;
		ball2Img=Whiteball2Img;
		ball3Img=Whiteball3Img;
		Btn=WhiteBtn;
		playBtn=WhiteplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 3;
		print(colourSelect);
	end;
		if touch_x >= 360 and touch_x <= 390 and touch_y >= 60 and touch_y <= 90 then
		backcolor = green;
		frontcolor = red;
		manStanding=RedmanStanding;
		manDead=RedmanDead;
		manRight1=RedmanRight1;
		manRight2=RedmanRight2;
		manRight3=RedmanRight3;
		manLeft1=RedmanLeft1;
		manLeft2=RedmanLeft2;
		manLeft3=RedmanLeft3;
		ball1Img=Redball1Img;
		ball2Img=Redball2Img;
		ball3Img=Redball3Img;
		Btn=RedBtn;
		playBtn=RedplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 4;
		print(colourSelect);
	end;
		if touch_x >= 360 and touch_x <= 390 and touch_y >= 100 and touch_y <= 130 then
		backcolor = blue;
		frontcolor = orange;
		manStanding=OrangemanStanding;
		manDead=OrangemanDead;
		manRight1=OrangemanRight1;
		manRight2=OrangemanRight2;
		manRight3=OrangemanRight3;
		manLeft1=OrangemanLeft1;
		manLeft2=OrangemanLeft2;
		manLeft3=OrangemanLeft3;
		ball1Img=Orangeball1Img;
		ball2Img=Orangeball2Img;
		ball3Img=Orangeball3Img;
		Btn=OrangeBtn;
		playBtn=OrangeplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 5;
		print(colourSelect);
	end;
		if touch_x >= 360 and touch_x <= 390 and touch_y >= 140 and touch_y <= 170 then
		backcolor = purple;
		frontcolor = yellow;
		manStanding=YellowmanStanding;
		manDead=YellowmanDead;
		manRight1=YellowmanRight1;
		manRight2=YellowmanRight2;
		manRight3=YellowmanRight3;
		manLeft1=YellowmanLeft1;
		manLeft2=YellowmanLeft2;
		manLeft3=YellowmanLeft3;
		ball1Img=Yellowball1Img;
		ball2Img=Yellowball2Img;
		ball3Img=Yellowball3Img;
		Btn=YellowBtn;
		playBtn=YellowplayBtn;
		CurrentPlayerImg = manStanding;
		colourSelect = 6;
		print(colourSelect);
	end;
end;

--Pause Button touch test
function PauseHitTest()
	if touch_x >= 360 and touch_x <= 390 and touch_y >= 100 and touch_y <= 141 then
			if paused==false then
			PausedrawScreen()
			paused = true;
		else
			paused = false;
			end
	end;
end;

--Ball1 position updater
function Ball1Pos()
	if ball1Y<-69.9 then
	yspeedBall1 = math.random(7,9);
	ball1X = math.random(0,380);
	ball1 = math.random(3);
		if ball1==1 then
			ball1 = ball1Img;
			ball1Width = 32;
			ball1Height = 32;
		end
		if ball1==2 then
			ball1 = ball2Img;
			ball1Width = 46;
			ball1Height = 46;
		end
		if ball1==3 then
			ball1 = ball3Img;
			ball1Width = 64;
			ball1Height = 64;
		end
	end
	if ball1Y<240 then
		ball1Y = ball1Y+yspeedBall1;
	if ball1Y>239.9 then
		score = score+1;
		ball1Y = -70;
end
end
end

--Ball2 position updater
function Ball2Pos()
	if ball2Y<-109.9 then
	yspeedBall2 = math.random(8,10);
	ball2X = math.random(0,380);
	ball2 = math.random(3);
		if ball2==1 then
			ball2 = ball1Img;
			ball2Width = 32;
			ball2Height = 32;
		end
		if ball2==2 then
			ball2 = ball2Img;
			ball2Width = 46;
			ball2Height = 46;
		end
		if ball2==3 then
			ball2 = ball3Img;
			ball2Width = 64;
			ball2Height = 64;
		end
	end
	if ball2Y<240 then
		ball2Y = ball2Y+yspeedBall2;
	if ball2Y>239.9 then
		score = score+1;
		ball2Y = -110;
end
end
end

--ball3 position updater
function Ball3Pos()
	if ball3Y<-149.9 then
	yspeedBall3 = math.random(9,11);
	ball3X = math.random(0,380);
	ball3 = math.random(3);
		if ball3==1 then
			ball3 = ball1Img;
			ball3Width = 32;
			ball3Height = 32;
		end
		if ball3==2 then
			ball3 = ball2Img;
			ball3Width = 46;
			ball3Height = 46;
		end
		if ball3==3 then
			ball3 = ball3Img;
			ball3Width = 64;
			ball3Height = 64;
		end
	end
	if ball3Y<240 then
		ball3Y = ball3Y+yspeedBall3;
	if ball3Y>239.9 then
		score = score+1;
		ball3Y = -150;
end
end
end

--ball4 position updater
function Ball4Pos()
	if ball4Y<-189.9 then
	yspeedBall4 = math.random(10,12);
	ball4X = math.random(0,380);
	ball4 = math.random(3);
		if ball4==1 then
			ball4 = ball1Img;
			ball4Width = 32;
			ball4Height = 32;
		end
		if ball4==2 then
			ball4 = ball2Img;
			ball4Width = 46;
			ball4Height = 46;
		end
		if ball4==3 then
			ball4 = ball3Img;
			ball4Width = 64;
			ball4Height = 64;
		end
	end
	if ball4Y<240 then
		ball4Y = ball4Y+yspeedBall4;
	if ball4Y>239.9 then
		score = score+1;
		ball4Y = -190;
end
end
end

function Ball5Pos()
	if ball5Y<-229.9 then
	yspeedBall5 = math.random(11,13);
	ball5X = math.random(0,380);
	ball5 = math.random(3);
		if ball5==1 then
			ball5 = ball1Img;
			ball5Width = 32;
			ball5Height = 32;
		end
		if ball5==2 then
			ball5 = ball2Img;
			ball5Width = 46;
			ball5Height = 46;
		end
		if ball5==3 then
			ball5 = ball3Img;
			ball5Width = 64;
			ball5Height = 64;
		end
	end
	if ball5Y<240 then
		ball5Y = ball5Y+yspeedBall5;
	if ball5Y>239.9 then
		score = score+1;
		ball5Y = -230;
end
end
end

function Ball6Pos()
	if ball6Y<-229.9 then
	yspeedBall6 = math.random(12,14);
	ball6X = math.random(0,380);
	ball6 = math.random(3);
		if ball6==1 then
			ball6 = ball1Img;
			ball6Width = 32;
			ball6Height = 32;
		end
		if ball6==2 then
			ball6 = ball2Img;
			ball6Width = 46;
			ball6Height = 46;
		end
		if ball6==3 then
			ball6 = ball3Img;
			ball6Width = 64;
			ball6Height = 64;
		end
	end
	if ball6Y<240 then
		ball6Y = ball6Y+yspeedBall6;
	if ball6Y>239.9 then
		score = score+1;
		ball6Y = -280;
end
end
end

--Player position updater
function updatePlayerPos(x)
	vel = 0;
	if (x > 0.5) then
		vel = -5 * x;
		if (vel < -15) then
			vel = -15
		end
	elseif (x < -0.5) then
		vel = -5 * x;
		if (vel > 15) then
			vel = 15;
		end
	end
	playerXVel = (0.8 * vel) + (0.2 * playerXVel);
	playerX = math.floor(playerX + playerXVel);
	if (playerX < 0) then
		playerX = 0
	elseif (playerX > (swidth-playerWidth)) then
		playerX = swidth-playerWidth;
	end
end

--Checks score and sets highscore
function scoreCheckAndReset()
		if score>highscore then
			highscore = score;
			saveHighscore()
		end;
			score = 0;
end

--hittest result func
function hitResponse()
	splat:play()
	CurrentPlayerImg = manDead;
	playerX = playerX-12;
	paused = false;
	drawScreen();
	os.sleep(200)
	ball1Y = -70;
	ball2Y = -110;
	ball3Y = -150;
	ball4Y = -190;
	ball5Y = -230;
	ball6Y = -280;
	CurrentPlayerImg = manStanding;
	scoreCheckAndReset()
	playing = false;
end;

--Hit test the player against all ball instances
function playerHitTest()

--Balls and player hittest
	if ((playerX >= (ball1X-playerWidth) and playerX <= (ball1X+ball1Width)) and (playerY >= ball1Y and playerY <= (ball1Y+ball1Height)) or (playerX >= (ball2X-playerWidth) and playerX <= (ball2X+ball2Width)) and (playerY >= ball2Y and playerY <= (ball2Y+ball2Height)) or (playerX >= (ball3X-playerWidth) and playerX <= (ball3X+ball3Width)) and (playerY >= ball3Y and playerY <= (ball3Y+ball3Height)) or (playerX >= (ball4X-playerWidth) and playerX <= (ball4X+ball4Width)) and (playerY >= ball4Y and playerY <= (ball4Y+ball4Height)) or (playerX >= (ball5X-playerWidth) and playerX <= (ball5X+ball5Width)) and (playerY >= ball5Y and playerY <= (ball5Y+ball5Height)) or (playerX >= (ball6X-playerWidth) and playerX <= (ball6X+ball6Width)) and (playerY >= ball6Y and playerY <= (ball6Y+ball6Height))) then
		hitResponse();
   end
end

--RightAnim
function moveright()

Timer = Timer + 1;

	if Timer>= 9 or Timer<=0  then

    Timer = 0;

  	end



        if Timer==2 then

        CurrentPlayerImg = manRight1;

        end



        if Timer==4 then

        CurrentPlayerImg = manRight2;

        end


                 
	if Timer==6 then
 
        CurrentPlayerImg = manRight3;

        end


        if Timer==8 then
 
        CurrentPlayerImg = manRight2;

        end

end

--LeftAnim
function moveleft()

Timer = Timer + 1;

	if Timer>= 9 or Timer<=0  then

    Timer = 0;

  	end



        if Timer==2 then

        CurrentPlayerImg = manLeft1;

        end



        if Timer==4 then

        CurrentPlayerImg = manLeft2;

        end


                 
	if Timer==6 then
 
        CurrentPlayerImg = manLeft3;

        end


        if Timer==8 then
 
        CurrentPlayerImg = manLeft2;

        end

end


--gameloop
	Highscore();
	setColour();
	accelerometer.open()
	os.sleep(10);
	if (accelerometer.set_datatype) then
		accelerometer.set_datatype("all")
	else
		accelerometer.set_senddatatype("all")
	end
	accelerometer.set_samplerate(100)

		while true do
			if playing==false then
			playerX = 188;
			drawGameStart();
			if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				ColorHitTest()
				BtnHitTest();
			end
			end

			if playing==true then
			if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				PauseHitTest();
			end
			end

		if playing==true and paused==false then 
				if playerXVel <= 1 and playerXVel >= -1 then
				CurrentPlayerImg = manStanding;
			end
				if playerXVel >= 2 then
				moveright()
			end
				if playerXVel <= -2 then
				moveleft()
			end
				if score >= 0 then
				Ball1Pos()
			end
				if score >= 5 then
				Ball2Pos()
			end
				if score >= 20 then
				Ball3Pos()
			end
				if score >= 40 then
				Ball4Pos()
			end
				if score >= 100 then
				Ball5Pos()
			end
				if score >= 170 then
				Ball6Pos()
			end
			drawScreen();
			updatePlayerPos(lastLPF_x_dir);
			playerHitTest();
			end

			if control.read()==1 then
				if control.isSensor() == 1 then
					x_dir,y_dir,z_dir = accelerometer.getdata("xyz")
					--Simple low-pass filter
					lastLPF_x_dir = (x_dir * factor) + (lastLPF_x_dir * (1.0 - factor));

				elseif control.isButton()==1 then
					if button.click() == 1 then
						saveHighscore()
						break;
					end
				end
		end
	screen.backlight(100)
	os.sleep(1);
end;

WhitemanStanding:close();
WhitemanDead:close();
WhitemanRight1:close();
WhitemanRight2:close();
WhitemanRight3:close();
WhitemanLeft1:close();
WhitemanLeft2:close();
WhitemanLeft3:close();
Whiteball1Img:close();
Whiteball2Img:close();
Whiteball3Img:close();
WhiteBtn:close();
WhiteplayBtn:close();
OrangemanStanding:close();
OrangemanDead:close();
OrangemanRight1:close();
OrangemanRight2:close();
OrangemanRight3:close();
OrangemanLeft1:close();
OrangemanLeft2:close();
OrangemanLeft3:close();
Orangeball1Img:close();
Orangeball2Img:close();
Orangeball3Img:close();
OrangeBtn:close();
OrangeplayBtn:close();
RedmanStanding:close();
RedmanDead:close();
RedmanRight1:close();
RedmanRight2:close();
RedmanRight3:close();
RedmanLeft1:close();
RedmanLeft2:close();
RedmanLeft3:close();
Redball1Img:close();
Redball2Img:close();
Redball3Img:close();
RedBtn:close();
RedplayBtn:close();
YellowmanStanding:close();
YellowmanDead:close();
YellowmanRight1:close();
YellowmanRight2:close();
YellowmanRight3:close();
YellowmanLeft1:close();
YellowmanLeft2:close();
YellowmanLeft3:close();
Yellowball1Img:close();
Yellowball2Img:close();
Yellowball3Img:close();
YellowBtn:close();
YellowplayBtn:close();
BlackmanStanding:close();
BlackmanDead:close();
BlackmanRight1:close();
BlackmanRight2:close();
BlackmanRight3:close();
BlackmanLeft1:close();
BlackmanLeft2:close();
BlackmanLeft3:close();
Blackball1Img:close();
Blackball2Img:close();
Blackball3Img:close();
BlackBtn:close();
BlackplayBtn:close();
splat:close()

	accelerometer.close()